// Copyright 2022 The Pigweed Authors
//
// Licensed under the Apache License, Version 2.0 (the "License"); you may not
// use this file except in compliance with the License. You may obtain a copy of
// the License at
//
//     https://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
// WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
// License for the specific language governing permissions and limitations under
// the License.
#pragma once

#include <cinttypes>

namespace pw::color {

const color_rgb565_t colors_endesga32_rgb565[] = {
    0xba45,  // #be4a2f
    0xd3a8,  // #d77643
    0xeeb5,  // #ead4aa
    0xe52e,  // #e4a672
    0xbb6a,  // #b86f50
    0x71e7,  // #733e39
    0x3926,  // #3e2731
    0xa126,  // #a22633
    0xe1c8,  // #e43b44
    0xf3a4,  // #f77622
    0xfd66,  // #feae34
    0xff2c,  // #fee761
    0x6629,  // #63c74d
    0x3c49,  // #3e8948
    0x22e8,  // #265c42
    0x19e7,  // #193c3e
    0x1271,  // #124e89
    0x04db,  // #0099db
    0x2f5e,  // #2ce8f5
    0xffff,  // #ffffff
    0xc65b,  // #c0cbdc
    0x8cd6,  // #8b9bb4
    0x5b51,  // #5a6988
    0x3a2c,  // #3a4466
    0x2148,  // #262b44
    0x18a4,  // #181425
    0xf808,  // #ff0044
    0x69cd,  // #68386c
    0xb291,  // #b55088
    0xf3af,  // #f6757a
    0xedb2,  // #e8b796
    0xc42d,  // #c28569
};

const color_rgba8888_t colors_endesga32_rgba8888[] = {
    0xff2f4abe,  // #be4a2f
    0xff4376d7,  // #d77643
    0xffaad4ea,  // #ead4aa
    0xff72a6e4,  // #e4a672
    0xff506fb8,  // #b86f50
    0xff393e73,  // #733e39
    0xff31273e,  // #3e2731
    0xff3326a2,  // #a22633
    0xff443be4,  // #e43b44
    0xff2276f7,  // #f77622
    0xff34aefe,  // #feae34
    0xff61e7fe,  // #fee761
    0xff4dc763,  // #63c74d
    0xff48893e,  // #3e8948
    0xff425c26,  // #265c42
    0xff3e3c19,  // #193c3e
    0xff894e12,  // #124e89
    0xffdb9900,  // #0099db
    0xfff5e82c,  // #2ce8f5
    0xffffffff,  // #ffffff
    0xffdccbc0,  // #c0cbdc
    0xffb49b8b,  // #8b9bb4
    0xff88695a,  // #5a6988
    0xff66443a,  // #3a4466
    0xff442b26,  // #262b44
    0xff251418,  // #181425
    0xff4400ff,  // #ff0044
    0xff6c3868,  // #68386c
    0xff8850b5,  // #b55088
    0xff7a75f6,  // #f6757a
    0xff96b7e8,  // #e8b796
    0xff6985c2,  // #c28569
};

}  // namespace pw::color
